libzypp 17.37.10

ReferenceCounted.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/base/PtrTypes.h>`

Go to the source code of this file.

## Classes
class | zypp::base::ReferenceCounted
| Base class for reference counted objects. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::base

## Macros
#define | IMPL_PTR_TYPE(NAME)

## Macro Definition Documentation

## ◆ IMPL_PTR_TYPE

#define IMPL_PTR_TYPE | ( |  | NAME | ) |

Value:
void intrusive_ptr_add_ref( const NAME * ptr_r ) \
{ zypp::base::ReferenceCounted::add_ref( ptr_r ); } \
void intrusive_ptr_release( const NAME * ptr_r ) \
{ zypp::base::ReferenceCounted::release( ptr_r ); }
zypp::base::ReferenceCounted::add_ref
static void add_ref(const ReferenceCounted *ptr_r)
Called by zypp::intrusive_ptr to add a reference.
Definition ReferenceCounted.h:87
zypp::base::ReferenceCounted::release
static void release(const ReferenceCounted *ptr_r)
Called by zypp::intrusive_ptr to add a reference.
Definition ReferenceCounted.h:93

Definition at line 137 of file ReferenceCounted.h.